:DNS A record force update tool - ver0.9
@ECHO OFF
:Got DNS server
set "dns1=1.1.1.1"
set "dns2=2.2.2.2"
REM set  "dns3=3.3.3.3"

:Loop check DSN record from 2 DSN server and re-try to register again
call :Timecheck
@ECHO === Step3: Re-check DNS A record - %timeret% ===
FOR /L %%G IN (1,1,15) DO (
call :Timecheck
@ECHO ==== *** Re-try %%G times *** ====
@ECHO OFF
call :Dnscheck %dns1%
call :Dnscheck %dns2%
REM call :Dnscheck %dns3%
timeout /t 5 /nobreak
@ECHO ==================================
)
goto END

:END
call :Timecheck
@ECHO == Complete the checking procedure - %timeret% ===

:Timecheck
for /f "tokens=2 delims==" %%a in ('wmic OS Get localdatetime /value') do set "dt=%%a"
set "YY=%dt:~2,2%" & set "YYYY=%dt:~0,4%" & set "MM=%dt:~4,2%" & set "DD=%dt:~6,2%"
set "HH=%dt:~8,2%" & set "Min=%dt:~10,2%" & set "Sec=%dt:~12,2%"
set "timeret=%YYYY%-%MM%-%DD% %HH%:%Min%:%Sec%"
EXIT /B

:Dnscheck
SETLOCAL
set "dnslocal=%~1"
nslookup %COMPUTERNAME% %dnslocal% 2> %temp%\dnstemp.txt
for /f "tokens=3 delims= "  %%a in ('find /c /i "Non-existent domain" %temp%\dnstemp.txt') do (
	if %%a NEQ 0 (set Found=false) else (set Found=true)
	)
	
if %found% == true (
	echo Success found A record in DNS:%dnslocal%
) else (
	echo !!! Failure to find A record in DNS:%dnslocal% !!!
	ipconfig /registerdns
)
EXIT /B